Page MenuHomePhabricator

[PowerPC][NFC] Add a tests for Reordering CSR reloads in epilogue to follow the same order as CSR saves in the prologue
ClosedPublic

Authored by Yi-Hong.Lyu on May 15 2019, 3:10 PM.

Details

Summary

This is the tests for the patch "Reorder CSR reloads in epilogue fo follow the same order as CSR saves in the prologue as consecutive loads/stores in increasing order perform better on some PPC CPUs". I would submit the external review for the patch later

Diff Detail

Event Timeline

Yi-Hong.Lyu created this revision.May 15 2019, 3:10 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 15 2019, 3:10 PM
nemanjai accepted this revision.May 16 2019, 2:56 PM

Please name the test case csr-save-restore-order.ll rather than using the word reverse since the reversal is something you do once and the test case shows the order of saves/restores.

This revision is now accepted and ready to land.May 16 2019, 2:56 PM
Yi-Hong.Lyu closed this revision.May 21 2019, 12:55 PM

Forgot adding Differential Revision: in the end of commit https://github.com/llvm/llvm-project/commit/6e19543a2a2013bd357eb15e383b435cd0cbb810. Close it manually.

It was commited to the wrong place and correct here https://reviews.llvm.org/rG00e85f753583